Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicInternalFrameTitlePane

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.plaf.basic.BasicInternalFrameTitlePane

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable

Direct Known Subclasses:
  MetalInternalFrameTitlePane

public class BasicInternalFrameTitlePane
extends JComponent

The class that manages a basic title bar

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Inner Class Summary
`class` | `BasicInternalFrameTitlePane.CloseAction` This inner class is marked "public" due to a compiler bug.
`class` | `BasicInternalFrameTitlePane.IconifyAction` This inner class is marked "public" due to a compiler bug.
`class` | `BasicInternalFrameTitlePane.MaximizeAction` This inner class is marked "public" due to a compiler bug.
`class` | `BasicInternalFrameTitlePane.MoveAction` This inner class is marked "public" due to a compiler bug.
`class` | `BasicInternalFrameTitlePane.PropertyChangeHandler` This inner class is marked "public" due to a compiler bug.
`class` | `BasicInternalFrameTitlePane.RestoreAction` This inner class is marked "public" due to a compiler bug.
`class` | `BasicInternalFrameTitlePane.SizeAction` This inner class is marked "public" due to a compiler bug.
`class` | `BasicInternalFrameTitlePane.SystemMenuBar` This inner class is marked "public" due to a compiler bug.
`class` | `BasicInternalFrameTitlePane.TitlePaneLayout` This inner class is marked "public" due to a compiler bug.

Inner classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Inner classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent`

Field Summary
`protected static String` | `CLOSE_CMD`
`protected Action` | `closeAction`
`protected JButton` | `closeButton`
`protected Icon` | `closeIcon`
`protected JInternalFrame` | `frame`
`protected JButton` | `iconButton`
`protected Icon` | `iconIcon`
`protected static String` | `ICONIFY_CMD`
`protected Action` | `iconifyAction`
`protected JButton` | `maxButton`
`protected Icon` | `maxIcon`
`protected static String` | `MAXIMIZE_CMD`
`protected Action` | `maximizeAction`
`protected JMenuBar` | `menuBar`
`protected Icon` | `minIcon`
`protected static String` | `MOVE_CMD`
`protected Action` | `moveAction`
`protected Color` | `notSelectedTextColor`
`protected Color` | `notSelectedTitleColor`
`protected PropertyChangeListener` | `propertyChangeListener`
`protected static String` | `RESTORE_CMD`
`protected Action` | `restoreAction`
`protected Color` | `selectedTextColor`
`protected Color` | `selectedTitleColor`
`protected static String` | `SIZE_CMD`
`protected Action` | `sizeAction`
`protected JMenu` | `windowMenu`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`BasicInternalFrameTitlePane(JInternalFrame f)`

Method Summary
`void` | `addNotify()` Notifies this component that it now has a parent component.
`protected void` | `addSubComponents()`
`protected void` | `addSystemMenuItems(JMenu systemMenu)`
`protected void` | `assembleSystemMenu()`
`protected void` | `createActions()`
`protected void` | `createButtons()`
`protected LayoutManager` | `createLayout()`
`protected PropertyChangeListener` | `createPropertyChangeListener()`
`protected JMenu` | `createSystemMenu()`
`protected JMenuBar` | `createSystemMenuBar()`
`protected void` | `enableActions()`
`protected void` | `installDefaults()`
`protected void` | `installListeners()`
`protected void` | `installTitlePane()`
`void` | `paintComponent(Graphics g)` If the UI delegate is non-null, calls its paint method.
`protected void` | `postClosingEvent(JInternalFrame frame)` Post a WINDOW_CLOSING-like event to the frame, so that it can be treated like a regular Frame.
`void` | `removeNotify()` Notifies this component that it no longer has a parent component.
`protected void` | `setButtonIcons()`
`protected void` | `showSystemMenu()`
`protected void` | `uninstallDefaults()`
`protected void` | `uninstallListeners()`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getAccessibleContext, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getUIClassID, getVerifyInputWhenFocusTarget, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, hide, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processFocusEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, imageUpdate, inside, isDisplayable, isEnabled, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### menuBar

    protected JMenuBar menuBar

### iconButton

    protected JButton iconButton

### maxButton

    protected JButton maxButton

### closeButton

    protected JButton closeButton

### windowMenu

    protected JMenu windowMenu

### frame

    protected JInternalFrame frame

### selectedTitleColor

    protected Color selectedTitleColor

### selectedTextColor

    protected Color selectedTextColor

### notSelectedTitleColor

    protected Color notSelectedTitleColor

### notSelectedTextColor

    protected Color notSelectedTextColor

### maxIcon

    protected Icon maxIcon

### minIcon

    protected Icon minIcon

### iconIcon

    protected Icon iconIcon

### closeIcon

    protected Icon closeIcon

### propertyChangeListener

    protected PropertyChangeListener propertyChangeListener

### closeAction

    protected Action closeAction

### maximizeAction

    protected Action maximizeAction

### iconifyAction

    protected Action iconifyAction

### restoreAction

    protected Action restoreAction

### moveAction

    protected Action moveAction

### sizeAction

    protected Action sizeAction

### CLOSE_CMD

    protected static final String CLOSE_CMD

### ICONIFY_CMD

    protected static final String ICONIFY_CMD

### RESTORE_CMD

    protected static final String RESTORE_CMD

### MAXIMIZE_CMD

    protected static final String MAXIMIZE_CMD

### MOVE_CMD

    protected static final String MOVE_CMD

### SIZE_CMD

    protected static final String SIZE_CMD

Constructor Detail

### BasicInternalFrameTitlePane

    public BasicInternalFrameTitlePane(JInternalFrame f)

Method Detail

### installTitlePane

    protected void installTitlePane()

### addSubComponents

    protected void addSubComponents()

### createActions

    protected void createActions()

### installListeners

    protected void installListeners()

### uninstallListeners

    protected void uninstallListeners()

### installDefaults

    protected void installDefaults()

### uninstallDefaults

    protected void uninstallDefaults()

### addNotify

    public void addNotify()

  Description copied from class: `JComponent`
  Notifies this component that it now has a parent component. When this method is invoked, the chain of parent components is set up with KeyboardAction event listeners.
  Overrides:
    `addNotify` in class `JComponent`
  Following copied from class: `javax.swing.JComponent`
  See Also:
    `JComponent.registerKeyboardAction(java.awt.event.ActionListener, java.lang.String, javax.swing.KeyStroke, int)`

### removeNotify

    public void removeNotify()

  Description copied from class: `JComponent`
  Notifies this component that it no longer has a parent component. When this method is invoked, any KeyboardActions set up in the the chain of parent components are removed.
  Overrides:
    `removeNotify` in class `JComponent`
  Following copied from class: `javax.swing.JComponent`
  See Also:
    `JComponent.registerKeyboardAction(java.awt.event.ActionListener, java.lang.String, javax.swing.KeyStroke, int)`

### createButtons

    protected void createButtons()

### setButtonIcons

    protected void setButtonIcons()

### assembleSystemMenu

    protected void assembleSystemMenu()

### addSystemMenuItems

    protected void addSystemMenuItems(JMenu systemMenu)

### createSystemMenu

    protected JMenu createSystemMenu()

### createSystemMenuBar

    protected JMenuBar createSystemMenuBar()

### showSystemMenu

    protected void showSystemMenu()

### paintComponent

    public void paintComponent(Graphics g)

  Description copied from class: `JComponent`
  If the UI delegate is non-null, calls its paint method. We pass the delegate a copy of the Graphics object to protect the rest of the paint code from irrevocable changes (for example, Graphics.translate()).
  Overrides:
    `paintComponent` in class `JComponent`
  Following copied from class: `javax.swing.JComponent`
  See Also:
    `JComponent.paint(java.awt.Graphics)`

### postClosingEvent

    protected void postClosingEvent(JInternalFrame frame)

  Post a WINDOW_CLOSING-like event to the frame, so that it can be treated like a regular Frame.

### enableActions

    protected void enableActions()

### createPropertyChangeListener

    protected PropertyChangeListener createPropertyChangeListener()

### createLayout

    protected LayoutManager createLayout()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.